/* overiding use of * selector throughout nl's (global.css) - fixes for mozilla, not sure how to remedy IE */
* { font-family:inherit; }
h4 { font-size:14px; }

/* =STRUCTURE
**************************************************************************/
body {
    background-color:#DDD;
}

.layout {
    background-color:#fff;
    margin-top:12px;
    min-height:120px;
    font-family:Arial,Helvetica,sans-serif !important;
}

#searchBox { 
    margin:0 20px 10px 20px;
    padding:5px 0 0 0;
    position:relative;
    top:20px;
    background:#DEE8EF;
    border:1px solid #D3DAE4;
}

#searchError p {
	margin: 30px 15% 30px 15%;
}

.searchInfo {
    position:absolute;
    right:0px;
    top:12px;
}

#searchResultsWrap {
  font-family:Arial,Helvetica,sans-serif !important; /* override base font in global.css */  
  padding-bottom:20px;
  margin-top:20px;
}

#facetOptions {
    float:left;
    overflow:hidden;
    width:220px;
}

.facetsHidden {
    margin-left:-240px !important;
}

.facetsInView #facetOptions { 
    margin-left:20px;
    margin-right:20px;
    margin-bottom:200px;
}

* html .facetsInView #facetOptions {
    margin-left:10px;
}

#searchResults {
    margin-right:250px !important;
    margin-left:0px;    
    padding-top:10px;
    width:auto;
    font-family:Arial,Helvetica,sans-serif;
}

.facetsInView #searchResults {
    margin-left:240px;
}

.wideCol #searchResults {
    margin-right:20px !important;
}

#searchExtras {
    width:220px;
    float:right;
    margin-right:20px;
}

* html #searchExtras {
    margin-right:10px;    
}

#searchResultsWrap .searchModule {
    margin-top:20px;
    padding:1px;
    border:1px solid #D3DAE4;
    background:#fff;
    font-size:12px;
}

#searchResultsPagination {
    clear:both;
    margin:35px 20px 0 20px;
    width:auto;
    font-size:11px;
}

.facetsInView #searchResultsPagination {
    margin-left:265px;
    margin-right:20px;
}


/* =HEADINGS
**************************************************************************/
#searchResultsWrap .searchModule h4 {
    position:relative;
    border:1px solid #DEE8EF;
    background-color:#DEE8EF;
    margin:2px 2px 4px 2px;
    font-weight:normal;
    text-indent:5px;
    padding:2px 0 2px 0;
}

#searchResultsWrap .searchModule h4.active {
    background-color:#fff;
}

#searchResultsWrap #searchExtras .searchModule h4 {
    background-color:#0066AA;
    color:#fff;
    font-weight:bold;
}


#searchResultsWrap .searchModule h4.rounded {
    -moz-border-radius-bottomleft: 0px;
    -moz-border-radius-bottomright: 0px;
    -webkit-border-bottom-left-radius: 0px;
    -webkit-border-bottom-right-radius: 0px;
}

/* =LINKS
**************************************************************************/
a {
    outline: none;
    color:#006699;
    text-decoration:underline;
}

#toggleAdvancedWrap {
    position:relative;
    top:15px;
    margin:0 0 0 20px;
    display:none; 
}

#toggleAdvanced {
    padding-left:18px; 
    background: url(/common/img/ico/icon_small_expand.gif) left no-repeat;
}

.facetsInView #toggleAdvanced { 
    background: url(/common/img/ico/icon_small_close.gif) left no-repeat;
}

#searchResultsPagination a, #searchResultsPagination a:visited { 
    margin-left:5px; 
    background:#fff url(//g.foolcdn.com/art/search/bg_pagination.jpg);
    border:1px solid #ccc; 
    padding:3px 8px; 
    text-decoration:none;
}

body.ie .searchResultsPagination a { 
    padding:3px 5px;
}
    
#searchResultsPagination span.currentPage {
    margin-left:5px;
    font-weight:bold;
}

#searchResultsPagination a:hover {
    background-image:none;
    color:#000;
}

#memberMatches a.viewAll {
    display:block;
    margin-top:10px;
}

/* =LISTS
**************************************************************************/
#searchResultsWrap .searchModule ul, #searchResultsWrap .searchModule ul li {
    list-style:none;
    padding:0;
    margin:0 0 2px 0;
}

.results dt {
    font-weight:bold;
    font-size:16px;
    padding:5px 5px 0px 5px;
}


.results dd {
    font-size:13px;
    margin-left:0px; 
    padding:0px 5px;
    margin:0px 0 5px 0;
    line-height:16px;
}

.results .resultDetail { 
   color:#444;
   font-size:11px;
   padding:0px 5px;
   background:#fff;
   margin-bottom:10px !important;
}


/* =FORMS
**************************************************************************/
#searchBox fieldset { 
    border:0; 
    background:transparent; 
    margin:0px; 
    padding:5px 10px !important;
}

.searchInput { 
    /* fieldset */
    float:left;
    margin:0px;
    padding:0 0 0 10px;
    line-height:0px;
}

body.ie .searchInput {
    padding-left:15px;
}

.searchInput label {
    position:relative;
    top:2px;
}

* html .searchInput label {
    top:0px;
}

#searchBox #solrq {
    width:200px !important;
    font-size:14px;
    font-weight:bold;
    margin:1px 0 0 0;
    padding:7px 6px 8px 6px; /* best fit in FF PC, Mac version is wonky */
    *padding:5px 6px 9px 6px !important; /* IE7 */
    *margin:-1px 3px 0 0 !important; /* IE7 */
    vertical-align:middle;
}

body.webkit #searchBox #solrq {
    padding:6px;
    margin-bottom:0px;
}

#searchBox .doSearch { 
    background:transparent url(//g.foolcdn.com/img/search/searchBottonSprite.gif) no-repeat;
    border:0 none;
    cursor:pointer;
    display:inline;
    font-size:0;
    height:39px;
    line-height:0;
    margin:1px 0 0 3px;
    text-indent:-9999px;
    vertical-align:top;
    width:88px;
    outline-style:none !important;
    -moz-outline-style: none;
}

#searchBox .doSearch:hover {
	background-position: 0 -39px;
}

#searchBox .doSearch:active {
	background-position: 0 -80px;
	outline-style:none !important;
	-moz-outline-style: none;	
}

#facetOptions div.allFool {
    position:relative;
}

#facetOptions ul {
    position:relative;
    left:3px;
}

#facetOptions li.hidden {
    position:absolute;
}

#facetOptions li {
    float:left;
    clear:left;
    width:100%;
    margin:0px;
    padding:0px;
}  

 #facetOptions div.allFool {
    float:left;
    clear:left;
    width:100%;
    padding-left:3px;
 }

#facetOptions input {
    margin:-2px 3px 0 0;
    padding:0px;
    vertical-align:middle;
    /* IE6 and 7 */
    *margin-top:-1px !important;
}

#facetOptions .radioInput input {
	margin-top:0px;
	*vertical-align:top;
}

* html #facetOptions .radioInput input {
    margin-top:0px;
    vertical-align:top;
}

#facetOptions label {
    margin:1px 0 0 0;
    padding:0px;
    text-align:left !important;
    font-weight:normal;
}

#facetOptions li span, #facetOptions div.allFool span {
    position:absolute;
    right:6px;
    color:#666;
}

* html #facetOptions li span, * html #facetOptions div.allFool span {
    position:static !important;
    /* figure out how to get this right in IE6 when I have the time */
}

#facetOptions #refineByBoard li label {
    position:relative;
    top:2px;
}

/* =TABLES
**************************************************************************/
#searchExtras table {
    border-collapse: collapse;
    empty-cells: show;
    margin: 0;
    width: 100%;
}
    
#searchExtras th {
    background:#fff !important;
    border:0px;
    padding:0 5px 0 5px !important;
    font-weight:bold;
    text-align:left;
}

body.ie #searchExtras th {
    font-size:12px;
}

#searchExtras td img {
   margin-bottom:15px;
}

#searchExtras td {
   border:0;
   width:auto;
   padding:0px 5px 0px 5px;
   font-size:12px;
   vertical-align:top;
}

#memberMatches tr {
    padding-bottom:4px;
}

#searchExtras tr.viewAll td {
    padding:10px 0;
}

#memberMatches td {
    border-top:1px solid #dedede;
    line-height:20px;
    padding-bottom:3px;
}

#memberMatches tr.realName td {
    line-height:15px !important;
    border-top:0px;
}

.memberScore {
   text-align:right;
}

/* =PARAGRAPHS
**************************************************************************/
.searchInput p {
    margin-bottom:10px;
    margin-left:-8px;
}

#spelling { margin-left:20px; display:block;}

#searchResults p { line-height:16px; }


/* =VISUAL EFFECTS
**************************************************************************/
.rounded {
    -moz-border-radius:5px;
    -webkit-border-radius:5px;
}

#rssFeedLink {
    margin:20px 0 0 6px;
}

#rssFeedLink a { 
    padding-left:23px;
    background:url(//g.foolcdn.com/img/rss.gif) 0 3px no-repeat;
    font-size:12px;
}

.resultDetail .blog {
    /* background: url(//fool.com/art/ratings/charms/blogger_12x12.gif) no-repeat; */
    padding-left:18px;
}

#toggleAdvancedWrap, .dsAllWrap {
    display:none;
}

html#jsenabled #toggleAdvancedWrap,
html#jsenabled .dsAllWrap {
    display:block !important;
}    

.resultDetail .outPerform {
    width:16px;
    height:16px;
    float:left;
    margin-right:2px;
    /* background: url(//fool.com/art/ratings/outperform_sm.gif) no-repeat; */
}  

.resultDetail .underPerform {
    width:16px;
    height:16px;
    float:left;
    margin-right:2px;
    /* background: url(//fool.com/art/ratings/underperform_sm.gif) no-repeat; */
}   

.loading { 
    display:none;
    position:absolute;
    right:3px;
    _right:8px;
    top:-6px;
    height:30px;
    width:30px;
    background:transparent url(/common/img/progress_spinner.gif) no-repeat;
}   

#searchResultsWrap .searchModule h4.active .loading {
    display:block;
} 

/* =DEBUG
**************************************************************************/
#debug, #debug a {
    color:#ddd;
    padding:20px;
    clear:both;
}

#debug a:hover {
    color:#333;
}


h4.noFacets { 
    color:#666; 
    margin:10px 0 10px 20px; 
    font-size:18px; 
}

.searchError { margin-right:240px; margin-left:20px; }

.solrSearchForm .layout #facetDebug {
    padding:5px;
    margin:20px 20px 0px 20px !important;
    background:#eee;
    border:3px solid #f00;
    position:relative;
    top:10px;
    font-size:10px;
}
.solrSearchForm .layout #facetDebug .panel {
    float:left;
    margin:5px;
    padding:3px;
    border:1px solid #ccc;
    background:#fff;
}

.solrSearchForm .layout #facetDebug ul {
    padding:0px;
    margin:0px !important;
    line-height:13px;
    list-style:none;
    font-size:10px;
}

.solrSearchForm .layout #facetDebug ul li {
    float:left;
    margin-right:10px;
}

/* =BRIDGE FIX
**************************************************************************/

label {
    font-weight:normal !important;
}

/* 14px baseline in bridge.css doesn't gel with the footer on search - why!? lets fix it for now.. */
#footer div ul, #footer div p {
    font-size:12px !important;
}


fieldset, pre {
    border:0px;
    background:transparent;
    padding:0px !important;
}

/* =UKMF OVERRIDE
**************************************************************************/
body.ukmf {
    background:transparent;
}

body.ukmf .layout {
    margin-top:0px;
    font-size:9px;
}

body.ukmf #searchBox {
    font-size:14px;
    margin-top:0px;
}

* html body.ukmf #searchBox #solrq {
    padding:10px 6px 8px 6px !important;
    margin:0px 3px 0 0;
}

body.ukmf .Unit ul li a {	
	text-decoration: none;
}

body.ukmf .layout {
    background:transparent;
    -moz-border-radius:0px;
    -webkit-border-radius:0px;
}

body.ukmf .facetsInView #searchResults {
    margin-left:250px;
}    

body.ukmf #searchResults dt {
    margin-bottom:3px;
}

body.ukmf .searchModule h4 {
    padding:6px 0 !important;
}

body.ukmf #facetOptions li {
    margin-bottom:10px !important;
}


/* =GENERAL NEWSLETTERS OVERRIDE
**************************************************************************/
body.newsletter {
    background-color: #ddd;
}

body.newsletter .grid {
	width: auto;
	margin: 0 10px 20px;
}

body.newsletter .layout {
  margin-top:0px;
	background-color: transparent;
}

body.newsletter #searchBox {
	margin:0;
	top: 10px;
}


body.newsletter #searchResultsWrap {
	font-family:Arial,Helvetica,sans-serif !important; /* override base font in global.css */ 
}

body.newsletter #searchResults {
	margin-left: 220px;
  margin-right:10px;

}
body.newsletter #searchExtras {
	margin-left: 20px;
  margin-right:0;
}

* html body.newsletter #searchBox #solrq {
  padding:8px 6px 9px 6px !important;
  margin:0px 3px 0 0;
}
   
body.newsletter .facetsInView #facetOptions { 
	margin-left:0px;
}


body.newsletter #searchResultsWrap .searchModule h4 {
    padding:6px 0px;
}
body.newsletter #searchResults h4 {
	clear: none;
	text-transform: none;
}
body.newsletter .results dt {
    margin-bottom:0px;
}

body.newsletter .results dd {
    font-size:13px; 
    font-family:Arial,Helvetica,sans-serif !important;
}

body.newsletter .results dd.resultDetail {
    font-size:11px; /* I don't know why we need to do this, maybe some weirdness with bridge.css */
}

div.allFool {
    margin:15px 0 15px 0;
    padding-top:10px;
    font-size:12px;
    border-top:1px solid #D3DAE4;
}

/* =One/Supernova OVERRIDE
**************************************************************************/
.FoolOne .page,
.Supernova .page {
	padding: 20px 10px;
}

/* =USMF OVERRIDE
**************************************************************************/
body.usmf div.searchModule {
    margin-left:0px !important;
}

